import Foundation
import CoreLocation
import snowm_scanner

class BackgroundScannerResponse: SnowMBackgroundScanningServiceDelegate {
    static let shared = BackgroundScannerResponse()
    
    func registerScannerDelegate() {
        BackgroundBeaconScanner.shared.delegate = self;
    }
    
    func onLocationUpdated(locations: [CLLocation]) {
        print("on Location change detected");
    }
    
    func onBeaconDetected(beacons: [SnowMBeacon], customData: Dictionary<String, Any>?) {
        print("onBeacon detected called from background scanner");
    }
}
